org.apache.solr.update

## Class SolrCmdDistributor.StdNode

- java.lang.Object
- - org.apache.solr.update.SolrCmdDistributor.Node
  - - org.apache.solr.update.SolrCmdDistributor.StdNode

- Direct Known Subclasses:
    SolrCmdDistributor.RetryNode
  Enclosing class:
    SolrCmdDistributor

      public static class SolrCmdDistributor.StdNode
      extends SolrCmdDistributor.Node

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `collection`
    `protected ZkCoreNodeProps` | `nodeProps`
    `protected String` | `shardId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdNode(ZkCoreNodeProps nodeProps)`
    `StdNode(ZkCoreNodeProps nodeProps, String collection, String shardId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkRetry()`
    `boolean` | `equals(Object obj)`
    `String` | `getBaseUrl()`
    `String` | `getCollection()`
    `String` | `getCoreName()`
    `ZkCoreNodeProps` | `getNodeProps()`
    `String` | `getShardId()`
    `String` | `getUrl()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nodeProps

          protected ZkCoreNodeProps nodeProps

    - #### collection

          protected String collection

    - #### shardId

          protected String shardId

  - ### Constructor Detail

    - #### StdNode

          public StdNode(ZkCoreNodeProps nodeProps)

    - #### StdNode

          public StdNode(ZkCoreNodeProps nodeProps,
                         String collection,
                         String shardId)

  - ### Method Detail

    - #### getCollection

          public String getCollection()

      Specified by:
        `getCollection` in class `SolrCmdDistributor.Node`

    - #### getShardId

          public String getShardId()

      Specified by:
        `getShardId` in class `SolrCmdDistributor.Node`

    - #### getUrl

          public String getUrl()

      Specified by:
        `getUrl` in class `SolrCmdDistributor.Node`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### checkRetry

          public boolean checkRetry()

      Specified by:
        `checkRetry` in class `SolrCmdDistributor.Node`

    - #### getBaseUrl

          public String getBaseUrl()

      Specified by:
        `getBaseUrl` in class `SolrCmdDistributor.Node`

    - #### getCoreName

          public String getCoreName()

      Specified by:
        `getCoreName` in class `SolrCmdDistributor.Node`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getNodeProps

          public ZkCoreNodeProps getNodeProps()

      Specified by:
        `getNodeProps` in class `SolrCmdDistributor.Node`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.